Subject: Re: bug#56682: Fix the long lines font locking related slowdowns

From: Stefan Monnier <[email-masked]>
Date: Tue, 16 Aug 2022 09:26:15 -0400

> Also, regarding most of the lines being invisible. Unless I miss
> something, jit-lock actually tries to trigger fontification in the
> invisible lines when we have something like:
> -- <window top>
> * headline
> <Mbs of invisible text hidden using 'invisible text property>
> * another headline
> -- <window bottom>

Normally, jit-lock does not fontify invisible text except as a side
effect of fontifying visible text (because the fontification is made in
chunks of about 1kB, plus rounding up to wholelines and such).

So it's normal that it fontifies a couple kB of that MB of invisible
text, but if it fontifies all those MBs I'd consider it as a bug.

        Stefan